=head1 NAME

Gtk2::Pango::FontDescription

=head1 HIERARCHY

  Glib::Boxed
  +----Gtk2::Pango::FontDescription

=for object Gtk2::Pango::FontDescription
=cut




=head1 METHODS

=head2 fontdescription = Gtk2::Pango::FontDescription-E<gt>B<new> 

=over

=back

=head2 double = Gtk2::Pango-E<gt>B<PANGO_PIXELS> ($d)

=over

=over

=item * $d (double) 

=back

=back

=head2 $desc-E<gt>B<set_absolute_size> ($size)

=over

=over

=item * $size (double) 

=back

=back

=head2 boolean = $desc-E<gt>B<better_match> ($old_match, $new_match)

=over

=over

=item * $old_match (Gtk2::Pango::FontDescription or undef) 

=item * $new_match (Gtk2::Pango::FontDescription) 

=back

=back

=head2 boolean = $desc1-E<gt>B<equal> ($desc2)

=over

=over

=item * $desc2 (Gtk2::Pango::FontDescription) 

=back

=back

=head2 string = $desc-E<gt>B<get_family> 

=over

=back

=head2 $desc-E<gt>B<set_family> ($family)

=over

=over

=item * $family (string) 

=back

=back

=head2 $desc-E<gt>B<set_family_static> ($family)

=over

=over

=item * $family (string) 

=back

=back

=head2 fontdescription = Gtk2::Pango::FontDescription-E<gt>B<from_string> ($str)

=over

=over

=item * $str (string) 

=back

=back

=head2 integer = $desc-E<gt>B<hash> 

=over

=back

=head2 $desc-E<gt>B<merge> ($desc_to_merge, $replace_existing)

=over

=over

=item * $desc_to_merge (Gtk2::Pango::FontDescription) 

=item * $replace_existing (boolean) 

=back

=back

=head2 $desc-E<gt>B<merge_static> ($desc_to_merge, $replace_existing)

=over

=over

=item * $desc_to_merge (Gtk2::Pango::FontDescription) 

=item * $replace_existing (boolean) 

=back

=back

=head2 double = Gtk2::Pango-E<gt>B<pixels> ($d)

=over

=over

=item * $d (double) 

=back

=back

=head2 double = Gtk2::Pango-E<gt>B<scale> 

=over

=back

=head2 double = Gtk2::Pango-E<gt>B<scale_large> 

=over

=back

=head2 double = Gtk2::Pango-E<gt>B<scale_medium> 

=over

=back

=head2 double = Gtk2::Pango-E<gt>B<scale_small> 

=over

=back

=head2 double = Gtk2::Pango-E<gt>B<scale_x_large> 

=over

=back

=head2 double = Gtk2::Pango-E<gt>B<scale_x_small> 

=over

=back

=head2 double = Gtk2::Pango-E<gt>B<scale_xx_large> 

=over

=back

=head2 double = Gtk2::Pango-E<gt>B<scale_xx_small> 

=over

=back

=head2 fontmask = $desc-E<gt>B<get_set_fields> 

=over

=back

=head2 integer = $desc-E<gt>B<get_size> 

=over

=back

=head2 boolean = $desc-E<gt>B<get_size_is_absolute> 

=over

=back

=head2 $desc-E<gt>B<set_size> ($size)

=over

=over

=item * $size (integer) 

=back

=back

=head2 stretch = $desc-E<gt>B<get_stretch> 

=over

=back

=head2 $desc-E<gt>B<set_stretch> ($stretch)

=over

=over

=item * $stretch (Gtk2::Pango::Stretch) 

=back

=back

=head2 style = $desc-E<gt>B<get_style> 

=over

=back

=head2 $desc-E<gt>B<set_style> ($style)

=over

=over

=item * $style (Gtk2::Pango::Style) 

=back

=back

=head2 string = $desc-E<gt>B<to_filename> 

=over

=back

=head2 string = $desc-E<gt>B<to_string> 

=over

=back

=head2 $desc-E<gt>B<unset_fields> ($to_unset)

=over

=over

=item * $to_unset (Gtk2::Pango::FontMask) 

=back

=back

=head2 variant = $desc-E<gt>B<get_variant> 

=over

=back

=head2 $desc-E<gt>B<set_variant> ($variant)

=over

=over

=item * $variant (Gtk2::Pango::Variant) 

=back

=back

=head2 weight = $desc-E<gt>B<get_weight> 

=over

=back

=head2 $desc-E<gt>B<set_weight> ($weight)

=over

=over

=item * $weight (Gtk2::Pango::Weight) 

=back

=back


=head1 ENUMS AND FLAGS

=head2 flags Gtk2::Pango::FontMask

=over

=item * 'family' / 'PANGO_FONT_MASK_FAMILY'

=item * 'style' / 'PANGO_FONT_MASK_STYLE'

=item * 'variant' / 'PANGO_FONT_MASK_VARIANT'

=item * 'weight' / 'PANGO_FONT_MASK_WEIGHT'

=item * 'stretch' / 'PANGO_FONT_MASK_STRETCH'

=item * 'size' / 'PANGO_FONT_MASK_SIZE'

=back


=head2 enum Gtk2::Pango::Stretch

=over

=item * 'ultra-condensed' / 'PANGO_STRETCH_ULTRA_CONDENSED'

=item * 'extra-condensed' / 'PANGO_STRETCH_EXTRA_CONDENSED'

=item * 'condensed' / 'PANGO_STRETCH_CONDENSED'

=item * 'semi-condensed' / 'PANGO_STRETCH_SEMI_CONDENSED'

=item * 'normal' / 'PANGO_STRETCH_NORMAL'

=item * 'semi-expanded' / 'PANGO_STRETCH_SEMI_EXPANDED'

=item * 'expanded' / 'PANGO_STRETCH_EXPANDED'

=item * 'extra-expanded' / 'PANGO_STRETCH_EXTRA_EXPANDED'

=item * 'ultra-expanded' / 'PANGO_STRETCH_ULTRA_EXPANDED'

=back


=head2 enum Gtk2::Pango::Style

=over

=item * 'normal' / 'PANGO_STYLE_NORMAL'

=item * 'oblique' / 'PANGO_STYLE_OBLIQUE'

=item * 'italic' / 'PANGO_STYLE_ITALIC'

=back


=head2 enum Gtk2::Pango::Variant

=over

=item * 'normal' / 'PANGO_VARIANT_NORMAL'

=item * 'small-caps' / 'PANGO_VARIANT_SMALL_CAPS'

=back


=head2 enum Gtk2::Pango::Weight

=over

=item * 'ultralight' / 'PANGO_WEIGHT_ULTRALIGHT'

=item * 'light' / 'PANGO_WEIGHT_LIGHT'

=item * 'normal' / 'PANGO_WEIGHT_NORMAL'

=item * 'semibold' / 'PANGO_WEIGHT_SEMIBOLD'

=item * 'bold' / 'PANGO_WEIGHT_BOLD'

=item * 'ultrabold' / 'PANGO_WEIGHT_ULTRABOLD'

=item * 'heavy' / 'PANGO_WEIGHT_HEAVY'

=back



=head1 SEE ALSO

L<Gtk2>, L<Glib::Boxed>

=head1 COPYRIGHT

Copyright (C) 2003-2005 by the gtk2-perl team.

This software is licensed under the LGPL.  See L<Gtk2> for a full notice.


=cut

